
/**
* Filename: Selector.java (in org.openbandy.io.storage)
* This is part of the OpenBandy project.

* @author Philipp Bolliger (philipp@bolliger.name)
* @version 1.0
* 
* (c) Copyright 2007, ALL RIGHTS RESERVED.
*
* The Selector can be used to retrieve objects from the storage.
*/
package org.openbandy.io.storage;

import java.util.Vector;

import org.openbandy.io.Serializable;


public interface Selector {
    
    /**
     * URGENT finde raus wo das schon implementiert ist
     * TODO describe correctly!!
     * 
     * TODO this will probably fail with classes that have subclass
     * e.g. when looking for all cars, this might miss the sportscars!
     * mgliche lsung: subclasses haben keine eigene id, also sportscar
     * hat auch idName = carID.. dann kann ich nach allen allen objekten mit
     * vergleichbarem idName suchen!!!
     * 
     * This method will return all objects from the store that have the same
     * type as <code>serializable</code>
     * 
     * @param serializable An exemplary instance of the type of the objects that should be returned
     * @return A Vector of all objects in found in the store
     */
    public Vector getAll(Serializable serializable);
    
    /**
     * URGENT finde raus wo das schon implementiert ist
     * TODO describe!!
     * 
     * @param typename
     * @param attributeName
     * @param attributeValue
     * @return
     */
    public Vector getObjectsWhere(String typename,
            					  String attributeName,
            					  String attributeValue);

}
