/**
* Filename: Service.java (in org.openbandy.service)
* This file is part of the BandyBasics project.
*
* www.BandyBasics.org
*/

package org.openbandy.service;

/**
 * TODO describe purpose and usage
 *
 * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 *
 * @author Philipp Bolliger (philipp@bolliger.name)
 * @version 0.1
 * 
 */
public abstract class Service {
	
	/**
	 * Determine wheter the current VM is
	 * a Java Microedition by reading the 
	 * according property.
	 *
	 * @return True if running on microedition
	 */
	public static boolean runningOnMicroEdition(){
		String conf = System.getProperty("microedition.configuration");
	    return (conf != null);
	}
	
	/**
	 * Determine wheter the current VM is
	 * a Java Microedition by reading the 
	 * according property.
	 *
	 * @return True if running on microedition
	 */
	public static boolean runningOnSunWTK(){
		String platform = System.getProperty("microedition.platform");
	    return platform.equals("SunMicrosystems_wtk");
	}
}
